CapyDB Docs
ReferenceAPI

Backups

On-demand and scheduled backups.

GET
/v1/projects/{projectID}/scheduled-backups

Authorization

AuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

In: header

Path Parameters

projectID*string

Project id.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/scheduled-backups"
{  "scheduled_backups": [    {      "created_at": "2019-08-24T14:15:22Z",      "cron_hour": 0,      "cron_minute": 0,      "id": "string",      "is_active": true,      "label": "string",      "last_job_id": "string",      "last_run_at": "2019-08-24T14:15:22Z",      "organization_id": "string",      "project_id": "string",      "retention_days": 0,      "updated_at": "2019-08-24T14:15:22Z"    }  ]}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
PUT
/v1/projects/{projectID}/scheduled-backups/default

Authorization

AuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

In: header

Path Parameters

projectID*string

Project id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/projects/string/scheduled-backups/default" \  -H "Content-Type: application/json" \  -d '{    "cron_hour": 0,    "cron_minute": 0,    "is_active": true  }'
{  "scheduled_backup": {    "created_at": "2019-08-24T14:15:22Z",    "cron_hour": 0,    "cron_minute": 0,    "id": "string",    "is_active": true,    "label": "string",    "last_job_id": "string",    "last_run_at": "2019-08-24T14:15:22Z",    "organization_id": "string",    "project_id": "string",    "retention_days": 0,    "updated_at": "2019-08-24T14:15:22Z"  }}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
GET
/v1/projects/{projectID}/backups

Authorization

AuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

In: header

Path Parameters

projectID*string

Project id.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/backups"
{  "backups": [    {      "backup_key": "string",      "created_at": "2019-08-24T14:15:22Z",      "database_name": "string",      "id": "string",      "label": "string",      "project_id": "string",      "size_bytes": 0,      "state": "string",      "verification_error": "string",      "verification_state": "pending",      "verified_at": "2019-08-24T14:15:22Z"    }  ]}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
POST
/v1/projects/{projectID}/backups

Authorization

AuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

In: header

Path Parameters

projectID*string

Project id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/backups" \  -H "Content-Type: application/json" \  -d '{}'
{  "job": {    "attempts": 0,    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": "string",    "cluster_id": "string",    "completed_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "error": "string",    "id": "string",    "last_exit_code": 0,    "last_stderr": "string",    "last_stdout": "string",    "locked_resource": "string",    "max_attempts": 0,    "organization_id": "string",    "preview_database_id": "string",    "project_id": "string",    "retry_classification": "string",    "started_at": "2019-08-24T14:15:22Z",    "state": "pending",    "type": "string",    "updated_at": "2019-08-24T14:15:22Z"  }}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}